﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Workflow.Activities;

namespace Demo01
{
    [Serializable]
    public class HeatProfileArgs : ExternalDataEventArgs
    {
        public HeatProfileArgs(Guid InstanceId) : base(InstanceId)
        {
        }
        string temperature = null;
        public string Temperature{ get { return temperature;} set { temperature = value; } }

    }
    [ExternalDataExchange]
    public interface IFurnaceControl
	{
        event EventHandler<HeatProfileArgs> HeatAlarmSignal;
        event EventHandler<HeatProfileArgs> HeatProfileReachedSignal;
	}

    [Serializable]
    public class FurnaceControlTrigger : IFurnaceControl
    {
        public void SetHeatAlarmSignal(Guid instanceid, string temperature)
        {
            HeatProfileArgs args = new HeatProfileArgs(instanceid);
            args.Temperature = temperature;

            HeatAlarmSignal(this, args);
        }
        public void SetProfileSignal(Guid instanceid, string temperature)
        {
            HeatProfileArgs args = new HeatProfileArgs(instanceid);
            args.Temperature = temperature;

            HeatProfileReachedSignal(this, args);
        }
        public event EventHandler<HeatProfileArgs> HeatProfileReachedSignal;
        public event EventHandler<HeatProfileArgs> HeatAlarmSignal;
    }
}
